# MoveCondition | pokemon-rogue-battle
Documentation for pokemon-rogue-battle

# Class MoveCondition

#### Hierarchy (view full)

- MoveCondition
  - FirstMoveCondition

- Defined in src/data/move.ts:5549

#####
Index

### Constructors

constructor

### Properties

func

### Methods

apply
getUserBenefitScore

## Constructors

### constructor

- new MoveCondition(func): MoveCondition

- #### Parameters

  - func: MoveConditionFunc

  #### Returns MoveCondition

  - Defined in src/data/move.ts:5552

## Properties

### `Protected` func

func: MoveConditionFunc

- Defined in src/data/move.ts:5550

## Methods

### apply

- apply(user, target, move): boolean

- #### Parameters

  - user: default
  - target: default
  - move: default

  #### Returns boolean

  - Defined in src/data/move.ts:5556

### getUserBenefitScore

- getUserBenefitScore(user, target, move): number

- #### Parameters

  - user: default
  - target: default
  - move: default

  #### Returns number

  - Defined in src/data/move.ts:5560